#ifndef _WS2812B_H_
#define _WS2812B_H_


#include"stm32f4xx_conf.h"
#include"stm32f4xx.h"


#define WS2812B_PIN GPIO_Pin_14  //PG14
#define Set_High()  GPIO_SetBits(GPIOG,WS2812B_PIN)
#define Set_Low()   GPIO_ResetBits(GPIOG,WS2812B_PIN)



void WS2812B_Init(void);
void WS2812B_Reset(void);
void WS2812B_Send(uint32_t color);
void WS2812B_Color_disp(u32 color);
void WS2812B_Breath_disp(u32 color,u16 speed);



#endif

